#ifndef FILESYSTEM_H
#define FILESYSTEM_H

#include <QObject>
#include <QFile>
#include <QDir>
#include <QFileInfo>
#include <QCryptographicHash>
#include <QDebug>
#include <QSettings>

namespace FileSystem {
    extern bool fileExists(QString path);

    extern bool folderExists(QString path);

    extern bool createFilePath(QString file_path);

    extern QString fileHash(const QString &fileName, QCryptographicHash::Algorithm hashAlgorithm = QCryptographicHash::Md5);

    extern void clearFolder(QDir &dir);

    extern QStringList recognizeRegistryLotroPath();
}

#endif // FILESYSTEM_H
